
QGIS Application - Feature request #1387

WMS list: change layer order, allow editing after addition

2008-11-07 11:22 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11447

Description

Please enable ordering for the GetCapabilities result table columns - e.g. the OSGeo WMS http://mapserver.flightgear.org offers many

layers. It would be nice to be able to order them in different ways according to the available columns for easier navigation.

thanks,

Markus

Associated revisions

Revision 7306e9e9 - 2008-12-27 01:37 AM - Jürgen Fischer

wms update:

- show nested layers in a tree

- enable sorting in the wms dialog (fixes #1387)

- use Qt instead of STL templates

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9899 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision db9c514d - 2008-12-27 01:37 AM - Jürgen Fischer

wms update:

- show nested layers in a tree

- enable sorting in the wms dialog (fixes #1387)

- use Qt instead of STL templates

git-svn-id: http://svn.osgeo.org/qgis/trunk@9899 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-12-23 02:57 AM - Marco Hugentobler

I tried the patch briefly (you know, pre-christmas stress), and the patch adds important functionality to the WMS client. It would also be cool to have the

possibility to change the position of layers with drag and drop and to keep that layer ordering for the request.

There is a warning in the console in case of WMS servers that have sublayers:

, 3520

Warning: QString::arg: Argument missing:

Is this important or can it be ignored?
Marco

#2 - 2008-12-26 04:40 PM - Jürgen Fischer

Replying to [comment:4 mhugent]:

I tried the patch briefly (you know, pre-christmas stress), and the patch adds important functionality to the WMS client.

applied to trunk in commit:db9c514d (SVN r9900).

It would also be cool to have the possibility to change the position of layers with drag and drop and to keep that layer ordering for the request.

Looks that would be much more work - maybe by adding a model.  We should also extend that to changing the layer after is has been added.

There is a warning in the console in case of WMS servers that have sublayers:

, 3520

Warning: QString::arg: Argument missing:

I believe that was fixed in commit:72cfd510 (SVN r9898).

#3 - 2009-02-25 06:09 AM - Markus Neteler

Please submit the patch also to the 1_0 stability branch.

#4 - 2009-05-27 05:51 AM - Paolo Cavallini

Partially solved in : please specify what is still missing.

#5 - 2009-07-12 08:34 AM - Giovanni Manghi

On QGis 1.2 seems to me that the initial request was fulfilled. Or it is still a work in progress?

#6 - 2009-07-13 03:56 AM - Markus Neteler

- Resolution set to fixed

- Status changed from Open to Closed

Sorting works, thanks.

Files

wms-layer-tree.diff 20.7 KB 2008-12-08 Jürgen Fischer
